Subject: Re: [core-updates] Python-gst fails its test suite

From: Leo Famulari <[email-masked]>
Date: Mon, 2 Sep 2024 14:18:46 -0400

On Mon, Sep 02, 2024 at 05:12:22PM +0200, Remco van 't Veer wrote:
> The issue is here:
> 
>   https://gitlab.gnome.org/GNOME/pygobject/-/issues/624
> 
> I've tried and upgrading python-pygobject from 3.47.0 (currently on
> master) to 3.48.2 (current upstream release) fixes the issue.

Aha, thanks for finding that information. I wasn't able to find it when
I created this bug.

> Unfortunately python-pygobject has a lot of dependent packages.
> 
>   $ guix refresh --list-dependent python-pygobject
>   Building the following 2015 packages would ensure 4466 dependent packages are rebuilt: ..
> 
> Graft, add a python-pygobject-3.48.2 package or just go for it?

Hm, I don't think it's worth rebuilding 4466 packages on master just to
fix the handful of packages that actually use python-gst.

I wonder if we could create a new package called python-pygobject-3.48.2
and use it for python-gst? And then upgrade pygobject on the python-team
branch? That way we could avoid the rebuilds and avoid a graft.